Subject: bug#24193: 25.1; `window-min-size' fails for horizontal width when margins >= body text

From: Paul Rankin <[email-masked]>
Date: Mon, 15 Aug 2016 20:02:23 +1000

martin rudalics <[email-masked]> on Mon, 15 Aug 2016 10:28 +0200:
>  > I'm not sure we want to change window-min-size.  That function is used
>  > for purposes that have nothing to do with splitting the window.  E.g.,
>  > we also use its value when deciding whether a window can be resized,
>  > when fitting window to buffer, etc.
>  >
>  > The lowest level function for splitting windows is split-window, so
>  > the change should IMO be either in split-window-right or in
>  > split-window.  Martin, WDYT?
> 
> This wouldnn't help much because as soon as a user has two side-by-side
> windows she might want to drag the divider between those windows and
> complain that it doesn't move.  We can install the attached hack in
> Emacs 25.1 and leave this subject alone until someone has a better
> solution.

Ah brilliant! Thank you Martin :)

If/when this is replaced, would this bug thread to be referenced? It would certainly help with updating the modes affected.

I guess etiquette would dictate that a mode should set these to the maximum of the existing value or its own for cases when two modes want control of minimum margin width.... is that a case that can arise? I guess it is.....